Bug 23315 - Some system preferences are no longer editable
Summary: Some system preferences are no longer editable
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Chris Cormack
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 21582
Blocks:
  Show dependency treegraph
 
Reported: 2019-07-15 02:25 UTC by Chris Cormack
Modified: 2019-08-13 19:50 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.03


Attachments
Proposed patch (2.88 KB, patch)
2019-07-15 02:31 UTC, Chris Cormack
Details | Diff | Splinter Review
Bg 23315 : Some systempreferences can not be edited (2.95 KB, patch)
2019-07-15 13:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23315: (follow-up) Add configuration to enable CodeMirror (3.21 KB, patch)
2019-07-15 13:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23315 : Some systempreferences can not be edited (2.94 KB, patch)
2019-07-15 20:07 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 23315: (follow-up) Add configuration to enable CodeMirror (3.26 KB, patch)
2019-07-15 20:07 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 23315 : Some systempreferences can not be edited (3.04 KB, patch)
2019-07-19 06:37 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 23315: (follow-up) Add configuration to enable CodeMirror (3.35 KB, patch)
2019-07-19 06:37 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2019-07-15 02:25:57 UTC
Bug 21582 removed htmlarea in favour or textarea in the system preferences.
However 5 instances of html area remain

one in circulation.pref
and 4 in staff_client.pref

This renders those 5 systempreferences uneditable.
Comment 1 Chris Cormack 2019-07-15 02:31:52 UTC
Created attachment 91521 [details] [review]
Proposed patch
Comment 2 Owen Leonard 2019-07-15 13:18:48 UTC
Created attachment 91526 [details] [review]
Bg 23315 : Some systempreferences can not be edited

To test
1/ Go to systempreferences
2/ Notice that SelfCheckHelpMessage IntranetmainUserblock
IntranetCirculationHomeHTML IntranetReportsHomeHTML
StaffLoginInstructions are not editable
3/ Apply patch, refresh page
4/ Now they can be edited

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Owen Leonard 2019-07-15 13:18:51 UTC
Created attachment 91527 [details] [review]
Bug 23315: (follow-up) Add configuration to enable CodeMirror

This patch adds the "syntax" parameter to the corrected system
preferences so that the textareas will be displayed as CodeMirror
editors.

To test, apply the patch and test the affected system preferences:

Circulation -> SelfCheckHelpMessage
Staff client -> IntranetmainUserblock
Staff client -> IntranetCirculationHomeHTML
Staff client -> IntranetReportsHomeHTML
Staff client -> StaffLoginInstructions

With UseWYSIWYGinSystemPreferences disabled, the preferences should be
displayed as CodeMirror editors. With  UseWYSIWYGinSystemPreferences
enabled they should be WYSIWYG editors.
Comment 4 Chris Cormack 2019-07-15 20:07:05 UTC
Created attachment 91541 [details] [review]
Bug 23315 : Some systempreferences can not be edited

To test
1/ Go to systempreferences
2/ Notice that SelfCheckHelpMessage IntranetmainUserblock
IntranetCirculationHomeHTML IntranetReportsHomeHTML
StaffLoginInstructions are not editable
3/ Apply patch, refresh page
4/ Now they can be edited

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 5 Chris Cormack 2019-07-15 20:07:24 UTC
Created attachment 91542 [details] [review]
Bug 23315: (follow-up) Add configuration to enable CodeMirror

This patch adds the "syntax" parameter to the corrected system
preferences so that the textareas will be displayed as CodeMirror
editors.

To test, apply the patch and test the affected system preferences:

Circulation -> SelfCheckHelpMessage
Staff client -> IntranetmainUserblock
Staff client -> IntranetCirculationHomeHTML
Staff client -> IntranetReportsHomeHTML
Staff client -> StaffLoginInstructions

With UseWYSIWYGinSystemPreferences disabled, the preferences should be
displayed as CodeMirror editors. With  UseWYSIWYGinSystemPreferences
enabled they should be WYSIWYG editors.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 6 Marcel de Rooy 2019-07-19 06:37:22 UTC
Created attachment 91611 [details] [review]
Bug 23315 : Some systempreferences can not be edited

To test
1/ Go to systempreferences
2/ Notice that SelfCheckHelpMessage IntranetmainUserblock
IntranetCirculationHomeHTML IntranetReportsHomeHTML
StaffLoginInstructions are not editable
3/ Apply patch, refresh page
4/ Now they can be edited

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 7 Marcel de Rooy 2019-07-19 06:37:27 UTC
Created attachment 91612 [details] [review]
Bug 23315: (follow-up) Add configuration to enable CodeMirror

This patch adds the "syntax" parameter to the corrected system
preferences so that the textareas will be displayed as CodeMirror
editors.

To test, apply the patch and test the affected system preferences:

Circulation -> SelfCheckHelpMessage
Staff client -> IntranetmainUserblock
Staff client -> IntranetCirculationHomeHTML
Staff client -> IntranetReportsHomeHTML
Staff client -> StaffLoginInstructions

With UseWYSIWYGinSystemPreferences disabled, the preferences should be
displayed as CodeMirror editors. With  UseWYSIWYGinSystemPreferences
enabled they should be WYSIWYG editors.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 8 Martin Renvoize 2019-07-19 09:10:17 UTC
Nice work!

Pushed to master for 19.11.00
Comment 9 Fridolin SOMERS 2019-08-06 13:46:29 UTC
Pushed to 19.05.x for 19.05.03
Comment 10 Lucas Gass 2019-08-13 19:50:39 UTC
not needed in 18.11.x, no backport